import os
import cv2
import numpy as np

ROOT_SILHO = '/home/ylxiang/Dataset/TreadmillA/Gait'
for parent, dirnames, filenames in os.walk(ROOT_SILHO):
    for filename in filenames:
        filepath = os.path.join(parent, filename)
        img = cv2.imread(filepath)
        saveimg = np.zeros((img.shape[0], img.shape[0], 3), dtype=img.dtype)
        x = int((img.shape[0]-img.shape[1])/2)
        saveimg[:, x:x+img.shape[1]] = img
        savepath = filepath.replace('Gait', 'Silho')
        savedir = savepath[:savepath.rfind('/')]
        os.makedirs(savedir, exist_ok=True)
        cv2.imwrite(savepath, saveimg)
        print('{}({})\t->\t{}({})'.format(filepath, img.shape, savepath, saveimg.shape))


