conf = {
    'CUDA_VISIBLE_DEVICES': '0,1,2,3',
    'data': {
        'dataset_name': 'CASIA-B',
        'dataset_path': '/scratch/liyao/data/CASIA-B/sil-064',
        'resolution': (64, 64),
        'pid_shuffle': False,
        'view_angle': '000',
    },
    'model': {
        'frame_num': (30, 30),
        'model_name': 'GaitLGNet',
        'num_workers': 3,
        'batch_size': (8, 8),
        'hidden_dim': 256,
        'restore_iter': 0,
        'total_iter': 10000,
        'save_iter': 1000,
        'print_iter': 100,
        'lr': 1e-4,
        'margin': 0.2,
        'hard_or_full_trip': 'full',
    },
}
