import os
import shutil

from config import conf as config

dataset_path = config['data']['dataset_path']
for _label in sorted(list(os.listdir(dataset_path))):
    path_label = os.path.join(dataset_path, _label)
    for _type in sorted(list(os.listdir(path_label))):
            path_type = os.path.join(path_label, _type)
            for _view in sorted(list(os.listdir(path_type))):
                _seqs_dir = os.path.join(path_type, _view)
                seqs = os.listdir(_seqs_dir)
                for i in range(len(seqs)):
                    srcpath = os.path.join(dataset_path, _label, _type, _view, seqs[i])
                    if i < len(seqs) * 0.5:
                        savedir = '{}_2division/{}/{}/Train'.format(dataset_path, _label, _type)
                        dstpath = os.path.join(savedir, '{}.png'.format(str(i).zfill(4)))
                    else:
                        savedir = '{}_2division/{}/{}/Test'.format(dataset_path, _label, _type)
                        dstpath = os.path.join(savedir, '{}.png'.format(str(i-int(len(seqs) * 0.5)).zfill(4)))
                    os.makedirs(savedir, exist_ok=True)
                    print('{} -> {}'.format(srcpath, dstpath))  
                    shutil.copyfile(srcpath, dstpath)
